const Cache = require('../cache')

/**
 * Hook for invalidating entire middleware cache
 *
 * @param {Object} req - express request object
 * @param {Object} response - the response from the dispatcher, which cointains
 *    the data from the previous controller method.
 * @returns {Object} response - the response to be returned to the user
 */
module.exports = async function invalidateAllCacheHook(req, response) {

  try {

    const cache = new Cache()
    await cache.invalidateAll()

  } catch(e) {

    req.logger.error('Failed to invalidate application cache', e)

  }

  return response

}
