const {dispatch} = require('structure-dispatcher')
const express = require('express')
const Controller = require('./mock-cache-controller')
const cache = require('../../src/index').default

const router = express.Router()
const controller = new Controller()

router.get('/uncached', dispatch(controller, 'uncached'))
router.get('/cached', cache(5), dispatch(controller, 'cached'))
router.get('/invalidateapplicationstub', dispatch(controller, 'invalidateApplicationStub'))
router.get('/invalidateallstub', dispatch(controller, 'invalidateAllStub'))

module.exports = function routesHandler(options = {}) {

  return {
    routeName: 'mock-cache-plugin',
    routes: router
  }

}
